
#define XSIZE 500
#define YSIZE 500
#define HEADERSIZE 54
#define BYTESPERPIXEL 3
#define FILESIZE (((XSIZE)*(BYTESPERPIXEL)*(YSIZE))+(HEADERSIZE))
#define LINESIZE ((XSIZE)*(BYTESPERPIXEL))


#define A_RED   0
#define A_GREEN 60
#define A_BLUE  120
#define DIE_ZAHL_PI	3.1415926

extern int getMandelbrotPixelAt(double x, double y);
extern int getColorValue (int value, double angle);

#include <windows.h>
#include <stdio.h>
static void ErrorExit(const char *msg,int returnval)
{
	PCHAR lpMsgBuf;
	if(!FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER|
			          FORMAT_MESSAGE_FROM_SYSTEM | 
					  FORMAT_MESSAGE_IGNORE_INSERTS,
						NULL,
						GetLastError(),
					  MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), // Default language
					  (LPTSTR) &lpMsgBuf,
					  0,
					  NULL ))
	{
		fprintf(stderr,"FormatMessage: %d\n",GetLastError());
		exit(11);
	}

	fprintf(stderr,"%s: %s\n",msg,lpMsgBuf);
	LocalFree(lpMsgBuf);
	exit(returnval);
}