#include "common.h"
#include <math.h>

int getMandelbrotPixelAt(double x, double y)
{
	double wx;
	double wy;
	double old_wx;
	int count;

	wx = x;
	wy = y;
	old_wx = 0;
	count = 0;

	do {
		old_wx = wx;
		count++;
		wx = wx*wx - wy*wy + x;
		wy = 2*old_wx*wy + y;

	} while( ((wx*wx + wy*wy) <= 4) && (count < 200) );

	return count;
}

int getColorValue (int value, double angle)
{
	double d;

	d = sin( (angle + (value * 360.0 / 200.0)) * DIE_ZAHL_PI / 180.0 );

	return d * d * 255;
}
